System.Runtime.Serialization 4.0.0.0 System.Object

Using indigo1, you can generate CLR types representing data contracts from XML schemas. In certain cases when doing so, the schemas may not all be represented as data contracts. In this case, you can use the property of the class. Setting the property to true specifies that these types are imported as XML types that implement the interface. In the process, the generated types can store anything, but they are read and written as XML by the serializer.

The is an abstract helper class that contains code that is used by the generated types to read and write XML. It also contains code for generating schema for the generated types. Note that details about the schemas are not stored. Only the name is stored in the generated type. This class generates a default schema that represents the XML schema type anyType with the appropriate schema type name as the contract name.

Contains methods for reading and writing XML.

- Method
  4.0.0.0
  System.Void `` ``

  This method contains code for generating a schema type for a data contract type with the specified type name.

  Generates a default schema type given the specified type name and adds it to the specified schema set.

  An to add the generated schema type to. An that specifies the type name to assign the schema to.
- Method
  4.0.0.0
  System.Xml.XmlNode[] ``

  This method reads all XML contained within the node the reader is positioned on when this call is made. This enables it to read and store all XML as an array of objects. It is a helper method used by the types that implement and that use the method.

  Reads a set of XML nodes from the specified reader and returns the result.

  An array of type .

  An used for reading.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the supplied nodes using the specified writer.

  An used for writing. An array of type to write.